Erreur lors de la mise-à-jour de Roundcube

Bonjour à tous,
Je rencontre une erreur lors de la mise-à-jour de Roundcube. Voici un copier-coller :

Action

PUT /upgrade
{"locale":"fr","ignore_packages":""}

Traceback

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py", line 406, in process
    ret = self.actionsmap.process(arguments, timeout=30, route=_route)
  File "/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py", line 495, in process
    return func(**arguments)
  File "/usr/lib/moulinette/yunohost/tools.py", line 514, in tools_upgrade
    logger.error(m18n.n('app_upgrade_failed'))
  File "/usr/lib/python2.7/dist-packages/moulinette/core.py", line 205, in n
    return self._namespaces[self._current_namespace].translate(key, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/moulinette/core.py", line 92, in translate
    return self._translations[self.locale][key].encode('utf-8').format(*args, **kwargs)
KeyError: 'app'

Même erreur sur ma brique (LIME2), à la différence que j’ai

PUT /upgrade
{“locale”:“en”,“ignore_packages”:""}

Bonjour,
J’ai aussi une erreur avec les mises à jour, pas sûr que ce soit avec les locales…
voici mes messages d’erreur:

$ sudo yunohost app upgrade Attention : grep: /program/include/iniset.php: Aucun fichier ou dossier de ce type Attention : /usr/share/yunohost/helpers.d/setting: ligne 17: $3 : variable sans liaison Attention : !! Attention : roundcube's script has encountered an error. Its execution was cancelled. Attention : !! Attention : Upgrade failed. Attention : Le montage de l’archive de sauvegarde a échoué Attention : « yunohost app checkurl » est déprécié et sera bientôt supprimé Attention : The app was restored to the way it was before the failed upgrade. Erreur : Impossible de mettre à jour roundcube Erreur : Aucune application à mettre à jour

1 Like

et sur un autre serveur en passant pas l’interface admin:

[code]Impossible de mettre à jour roundcube

++ exit 1

++ echo ‘The app was restored to the way it was before the failed upgrade.’

The app was restored to the way it was before the failed upgrade.

++ ynh_die ‘The app was restored to the way it was before the failed upgrade.’

system:

roundcube: Success

apps:

Restauration terminée

La configuration de SSOwat a été générée

Yunohost encountered an internal error :confused:
Really sorry about that.
You should look for help on the forum or the chat to fix the situation, or report the bug on the bugtracker.
The following information might be useful for the person helping you :
Action

PUT /upgrade
{“ignore_packages”:""}

Traceback

Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py”, line 406, in process
ret = self.actionsmap.process(arguments, timeout=30, route=_route)
File “/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py”, line 495, in process
return func(**arguments)
File “/usr/lib/moulinette/yunohost/tools.py”, line 514, in tools_upgrade
logger.error(m18n.n(‘app_upgrade_failed’))
File “/usr/lib/python2.7/dist-packages/moulinette/core.py”, line 205, in n
return self._namespaces[self._current_namespace].translate(key, *args, **kwargs)
File “/usr/lib/python2.7/dist-packages/moulinette/core.py”, line 92, in translate
return self._translations[self.locale][key].encode(‘utf-8’).format(*args, **kwargs)
KeyError: ‘app’

« yunohost app checkurl » est déprécié et sera bientôt supprimé

Le montage de l’archive de sauvegarde a échoué[/code]

Du coup dans les logs (un problème avec le paquet curl ?):

$ sudo cat dpkg.log 2017-10-08 00:42:05 startup archives unpack 2017-10-08 00:42:06 upgrade curl:i386 7.38.0-4+deb8u5 7.38.0-4+deb8u6 2017-10-08 00:42:06 status half-configured curl:i386 7.38.0-4+deb8u5 2017-10-08 00:42:06 status unpacked curl:i386 7.38.0-4+deb8u5 2017-10-08 00:42:07 status half-installed curl:i386 7.38.0-4+deb8u5 2017-10-08 00:42:07 status triggers-pending man-db:i386 2.7.0.2-5 2017-10-08 00:42:07 status half-installed curl:i386 7.38.0-4+deb8u5 2017-10-08 00:42:07 status unpacked curl:i386 7.38.0-4+deb8u6 2017-10-08 00:42:07 status unpacked curl:i386 7.38.0-4+deb8u6 2017-10-08 00:42:07 upgrade libcurl3:i386 7.38.0-4+deb8u5 7.38.0-4+deb8u6 2017-10-08 00:42:07 status half-configured libcurl3:i386 7.38.0-4+deb8u5 2017-10-08 00:42:07 status unpacked libcurl3:i386 7.38.0-4+deb8u5 2017-10-08 00:42:08 status half-installed libcurl3:i386 7.38.0-4+deb8u5 2017-10-08 00:42:08 status half-installed libcurl3:i386 7.38.0-4+deb8u5 2017-10-08 00:42:08 status unpacked libcurl3:i386 7.38.0-4+deb8u6 2017-10-08 00:42:08 status unpacked libcurl3:i386 7.38.0-4+deb8u6 2017-10-08 00:42:08 upgrade libcurl3-gnutls:i386 7.38.0-4+deb8u5 7.38.0-4+deb8u6 2017-10-08 00:42:08 status half-configured libcurl3-gnutls:i386 7.38.0-4+deb8u5 2017-10-08 00:42:08 status unpacked libcurl3-gnutls:i386 7.38.0-4+deb8u5 2017-10-08 00:42:09 status half-installed libcurl3-gnutls:i386 7.38.0-4+deb8u5 2017-10-08 00:42:09 status half-installed libcurl3-gnutls:i386 7.38.0-4+deb8u5 2017-10-08 00:42:09 status unpacked libcurl3-gnutls:i386 7.38.0-4+deb8u6 2017-10-08 00:42:09 status unpacked libcurl3-gnutls:i386 7.38.0-4+deb8u6 2017-10-08 00:42:09 upgrade dnsmasq-base:i386 2.72-3+deb8u1 2.72-3+deb8u2 2017-10-08 00:42:09 status half-configured dnsmasq-base:i386 2.72-3+deb8u1 2017-10-08 00:42:09 status unpacked dnsmasq-base:i386 2.72-3+deb8u1 2017-10-08 00:42:09 status half-installed dnsmasq-base:i386 2.72-3+deb8u1 2017-10-08 00:42:10 status triggers-pending dbus:i386 1.8.22-0+deb8u1 2017-10-08 00:42:10 status half-installed dnsmasq-base:i386 2.72-3+deb8u1 2017-10-08 00:42:10 status unpacked dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:10 status unpacked dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:10 upgrade dnsmasq:all 2.72-3+deb8u1 2.72-3+deb8u2 2017-10-08 00:42:10 status half-configured dnsmasq:all 2.72-3+deb8u1 2017-10-08 00:42:10 status unpacked dnsmasq:all 2.72-3+deb8u1 2017-10-08 00:42:10 status half-installed dnsmasq:all 2.72-3+deb8u1 2017-10-08 00:42:11 status triggers-pending systemd:i386 215-17+deb8u7 2017-10-08 00:42:11 status half-installed dnsmasq:all 2.72-3+deb8u1 2017-10-08 00:42:11 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:11 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:11 trigproc man-db:i386 2.7.0.2-5 <aucune> 2017-10-08 00:42:11 status half-configured man-db:i386 2.7.0.2-5 2017-10-08 00:42:13 status installed man-db:i386 2.7.0.2-5 2017-10-08 00:42:13 trigproc dbus:i386 1.8.22-0+deb8u1 <aucune> 2017-10-08 00:42:13 status half-configured dbus:i386 1.8.22-0+deb8u1 2017-10-08 00:42:13 status installed dbus:i386 1.8.22-0+deb8u1 2017-10-08 00:42:13 trigproc systemd:i386 215-17+deb8u7 <aucune> 2017-10-08 00:42:13 status half-configured systemd:i386 215-17+deb8u7 2017-10-08 00:42:13 status installed systemd:i386 215-17+deb8u7 2017-10-08 00:42:14 startup packages configure 2017-10-08 00:42:14 configure libcurl3:i386 7.38.0-4+deb8u6 <aucune> 2017-10-08 00:42:14 status unpacked libcurl3:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status half-configured libcurl3:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status installed libcurl3:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status triggers-pending libc-bin:i386 2.19-18+deb8u10 2017-10-08 00:42:14 configure curl:i386 7.38.0-4+deb8u6 <aucune> 2017-10-08 00:42:14 status unpacked curl:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status half-configured curl:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status installed curl:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 configure libcurl3-gnutls:i386 7.38.0-4+deb8u6 <aucune> 2017-10-08 00:42:14 status unpacked libcurl3-gnutls:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status half-configured libcurl3-gnutls:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 status installed libcurl3-gnutls:i386 7.38.0-4+deb8u6 2017-10-08 00:42:14 configure dnsmasq-base:i386 2.72-3+deb8u2 <aucune> 2017-10-08 00:42:14 status unpacked dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:15 status half-configured dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:15 status installed dnsmasq-base:i386 2.72-3+deb8u2 2017-10-08 00:42:15 configure dnsmasq:all 2.72-3+deb8u2 <aucune> 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status unpacked dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:15 status half-configured dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:18 status installed dnsmasq:all 2.72-3+deb8u2 2017-10-08 00:42:18 trigproc libc-bin:i386 2.19-18+deb8u10 <aucune> 2017-10-08 00:42:18 status half-configured libc-bin:i386 2.19-18+deb8u10 2017-10-08 00:42:18 status installed libc-bin:i386 2.19-18+deb8u10 2017-10-08 00:42:19 startup packages configure 2017-10-12 16:00:44 startup archives install 2017-10-12 16:00:44 install roundcube-ynh-deps:all <aucune> 1.3.0 2017-10-12 16:00:44 status half-installed roundcube-ynh-deps:all 1.3.0 2017-10-12 16:00:44 status unpacked roundcube-ynh-deps:all 1.3.0 2017-10-12 16:00:44 status unpacked roundcube-ynh-deps:all 1.3.0 2017-10-12 16:00:44 configure roundcube-ynh-deps:all 1.3.0 1.3.0 2017-10-12 16:00:44 status unpacked roundcube-ynh-deps:all 1.3.0 2017-10-12 16:00:45 status half-configured roundcube-ynh-deps:all 1.3.0 2017-10-12 16:00:45 status installed roundcube-ynh-deps:all 1.3.0 2017-10-12 16:01:10 startup packages remove 2017-10-12 16:01:10 status installed roundcube-deps:all 1.2-1 2017-10-12 16:01:10 remove roundcube-deps:all 1.2-1 <aucune> 2017-10-12 16:01:10 status half-configured roundcube-deps:all 1.2-1 2017-10-12 16:01:10 status half-installed roundcube-deps:all 1.2-1 2017-10-12 16:01:10 status config-files roundcube-deps:all 1.2-1 2017-10-12 16:01:10 status config-files roundcube-deps:all 1.2-1 2017-10-12 16:01:10 status config-files roundcube-deps:all 1.2-1 2017-10-12 16:01:10 status not-installed roundcube-deps:all <aucune> 2017-10-12 16:01:11 startup packages configure

I have the same error as @rodinux

Sorry about that guys :confused:

This is being investigated here : https://github.com/YunoHost-Apps/roundcube_ynh/issues/17

J’ai eu également une erreur qui a fait disparaître l’appli. J’ai tenté de ré-installer Roundcube, mais rien à faire j’ai des erreurs :

roundcube’s script has encountered an error. Its execution was cancelled.
!!
ERROR 1045 (28000): Access denied for user ‘root’@‘localhost’ (using password: YES)

Upgrade failed.

!!

roundcube’s script has encountered an error. Its execution was cancelled.

!!

  • ‘[’ 1 -eq 0 ‘]’

  • exit_code=1

  • ynh_exit_properly

Error 500: Installation at target location is up-to-date!

  • /usr/bin/php -q ./bin/installto.sh /var/www/roundcube

  • cd /var/www/roundcube

  • ‘[’ '1.3.0 ’ ‘!=’ 1.2.3 ‘]’

  • newversion='1.3.0 ’

On a découvert ça il y a quelques heures.
Ainsi qu’un roundcube pas à jour sur lequel on peut travailler pour tester la prochaine correction.

Je me met dés maintenant en quête d’un fix.

Ça devrait être fixé par cette PR https://github.com/YunoHost-Apps/roundcube_ynh/pull/20

Je viens de supprimer toutes les sauvegardes de mon instance et ai retenté une mise-à-jour. Toujours le même problème. Apparemment, RoundCube serait déjà à jour si j’en crois le listing d’erreurs.

Bonjour,

Quelqu’un a-t-il la solution ? Je viens de réessayer la mise-à-jour, et toujours le même problème !

Je viens de mettre à jour la liste official pour intégrer la correction de l’upgrade de roundcube.
D’ici 5-10 minutes, tu devrais pouvoir retenter.

1 Like

Merci beaucoup, par contre, j’ai rencontré cette erreur

2017-10-21 17:18:33,698 WARNING  yunohost.hook <lambda> - [542.226] Error 500: DDL Upgrade files for mysql driver not found.

Mais tout a l’air de fonctionner.